RegScrubXP Help

Features

  • Safely cleans junk out of the Windows2000/XP System Registry, making it smaller and faster to access.

  • All changes made to the Registry are fully restorable to it's original condition.

  • You can make an exclusion list of Registry entries that RegScrubXP will not display as problems.

  • You can sift through a list of File Extensions, Company Names, "Run Upon Startup" programs, Internet Explorer History, and Uninstall programs to delete what you think is junk.

  • Tweak the Registry with the easy to use Tweaker! Additional help file with dozens of XP tweaks!

  • Click a button to download (in the background) the latest updates from the Lexun Freeware web site!

  • RegScrubXP is absolutely free, no strings attached! Pass it around! Give it to your friends! Let me know what you think of it!

What is RegScrubXP?
RegScrubXP is a very popular utility designed to delete unnecessary information from the System Registry of XP operating systems. This "junk" is often left behind when programs are uninstalled, and the information is not needed anymore. Programmers mistakenly load the Registry with junk as well. The result of cleaning out the junk is a smaller, faster Registry. Your operating system accesses the Registry a lot, so keeping it clean is a good idea! RegScrubXP also helps you tweak your Registry to provide a more pleasant computer experience.

Quick Tutorial (see User's Guide below for more information)

  • Launch RegScrubXP.

  • Press the "RegScrubXP Finds Problems" button. The program will search through all the appropriate sections of the Registry (each section checked off when completed) and display a list of potential problems in the Registry entries area, showing Registry section, key, and value information as well as the problem.

  • Under the "Select" header, click on the check box for any problems you would like to fix, or if you want all the displayed problems fixed, press the "Select All Problems" button, then press the "Fix Selected Problems" button. Click the "Restore" button and you will see the backup of the fixes just made. To restore the Registry, simply select the backup file, and press the "Restore Selected Backups" button, and the Registry will be restored as it was prior to fixing it.

  • Press the "User Determines Problems" button. The listing you now see are NOT problems that RegScrubXP has found, but simply areas where you might find problems. For example, if you just uninstalled a program called "Star Wars Invasion", and in this list of registry entries you see the program name listed as a key or value, you can have RegScrubXP fix the entry.

  • See the User's Guide below on how to use exclusions and other features, tips on using RegScrubXP, and my contact information.

User's Guide
Important point!

  • To select a Registry entry to fix, or add/delete as an exclusion, you must check off the check box under the "Select" column. Highlighting the row is not enough! See below...

  • You must click the check box to select an entry.

  • Highlighting the entry does NOT select it, though it makes viewing the row easier.

When To Use RegScrubXP
Use it periodically, once a month, or after you have uninstalled programs.

How To Use RegScrubXP
Registry Entry Information
Select Column
 Displays the check box that you use to select the row, and the text "L (K)", "L (V)", "U (K)", or "U (V)". The "L" means that the entry came from the HKEY_LOCAL_MACHINE section of the Registry, the "U" means it came from the "HKEY_CURRENT_USER section. The "K" means that the fix of this entry would mean deleting a Key, whereas the "V" would mean deleting a Value.
Section Column
 This indicates the section of the Registry where the entry was found.

Full Key Column
 The full path of the key.

Main Key Column
 The key itself.

Value Name Column
 The name of the value associated with the main key.

Value Data Column
 The data associated with the value name.

Problem Column
 Description of the problem.

Smart Buttons
The buttons in RegScrubXP have some intelligence. They may change their names, they may disable themselves. This is to help the user avoid pressing the wrong buttons at the wrong time, and to provide the user a status of the conditions at the time. For example, if the user clicks on "RegScrubXP Finds Problems" and there are no problems found, then the "Select All Problems", "UnSelect All Problems", and "Fix Selected Problems" buttons become disabled because they are useless at this point. This also cues the user that there are no problems.
"RegScrubXP Finds Problems" Button
Press this button if you want RegScrubXP to find Registry problems for you. You can have RegScrubXP fix some or all of the problems found here by first selecting some of the entries, or pressing the "Select All Problems" button, then pressing the "Fix Selected Problems" button.

"User Determines Problems" Button
Press this button if you want a list of Registry entries that you will determine are problems or not. RegScrubXP has NOT determined that these are problems. It lists all entries it finds from common problem areas. Most, if not all, of the entries will be correct and should NOT be fixed unless you are certain that the entry is junk. For example, if you just uninstalled a program called "Star Wars Invasion", and in this list of Registry entries you see the program name listed as a key or value, you can have RegScrubXP fix the entry. You can also add all of the entries that look correct as exclusions so you won't see them anymore. You will only see new entries added to the Registry when you install new programs.

"Restore" Button
Pressing this button brings up another window like the one shown below:

Listed are the backup files of the "fixes" made to the Registry. The backup files are named using the date and time of their creation. For example, the first backup file above, "Backup-020822-150645.reg" was created in the year 20(02), on (08)August 2nd(22), at 15:06 (3:06pm) and 45 seconds. The latest backup files will always be at the top left. Hold down the Ctrl-key while clicking to select multiple backups, and hold down the Shift-key to select multiple consecutive backups. You can select (highlight) backup files and press the "Restore Selected Backups" button to "undo" the fixes made at that date and time. You can select old backup files and delete them (physically deletes the backups off the hard drive) if you don't need them anymore. You may also select backup files and view their contents by pressing the "View Backup Files "button. The files are read only to prevent you from modifying them.

"Select All [Problems, Entries, Exclusions]" Button
Pressing this button selects (checks the box for) all Registry entries listed.

"UnSelect All [Problems, Entries, Exclusions]" Button
Pressing this button un-selects (un-checks the box for) all Registry entries listed.

"Fix Selected Problems" Button
Pressing this button fixes problems for all selected (checked box) Registry entries listed. If there is an entry you don't want to fix, simply don't select it. If you keep seeing the same entry appear each time you run RegScrubXP, and you don't want to fix it, this entry is a perfect candidate for an exclusion (see Exclusions section below).

Exclusions
You can tell RegScrubXP NOT to display a particular Registry entry as a problem. There are usually two reasons why you might want to exclude a Registry entry. One, you don't think there really is a problem with the entry. Two, the entry keeps popping up, even after you have fixed it. There are some programs, and even the operating system itself that might detect that a registry entry has been deleted and will want to add it back, even if the Registry entry serves no purpose. Just add it as an exclusion and you'll never see it again. Read how to manage exclusions using the buttons that follow.

"Add Exclusions" Button
You can add exclusions after running "RegScrubXP Finds Problems" or "User Determines Problems". Just select (click check box of) the entries you wish to exclude, and press the "Add Exclusions" button. Now if you re-run your search, the excluded entries will not be displayed, nor flagged as problems.

"Display Exclusions" Button
You can view a list of all of your exclusions by pressing this button.

"Delete Selected Exclusions" Button
While you are viewing the list of your exclusions ("Display Exclusions"), you can select entries and press the "Delete Selected Exclusions" button to delete the exclusions. This does nothing to the Registry, it just deletes your exclusion(s). The Registry entries that were excluded will now reappear during searches.

"Cancel Actions" Button
You can cancel Registry searches or fixes with this button.

"Misc..." Button
Here you can play around with tweaking the Registry, or download the latest updates of RegScrubXP. There will be many more Registry tweaks coming, so stay tuned! The "XP Tips & Tweaks" button displays a lot of useful information I got off the Internet. You can also check the check box if you want RegScrubXP to automatically check for updates each time RegScrubXP is run. When RegScrubXP is checking for updates (does so in the background), an hourglass is displayed next to your mouse cursor to indicate that the update is in progress. You can continue using the mouse as you normally would. When the hourglass disappears, the update process has completed and a notification of it's completion displayed (the notification may be behind other windows and will not intrude on your work. You may view the notification at your leisure).

Change RegScrubXP's Background and Text Colors
Don't like the boring colors I selected for RegScrubXP? Change them to any color under the sun! You can use any of 16 million colors, both text and background! It's real easy too! In the directory where RegScrubXP is installed, you'll find a file called color.txt. Edit this file to change the colors as follows:

On the first line, with no spaces, you will place 6 numbers with commas between them. For example: 210,200,100,0,134,160
This format uses the standard RGB (Red, Green, Blue) designation. The first three numbers in the example above are the background colors, the second three numbers are the text colors. So here is how it breaks out:

210 is the Red component of the background
200 is the Green component of the background
100 is the Blue component of the background
0 is the Red component of the text
134 is the Green component of the text
160 is the Blue component of the text

You can only use numbers from 0 - 255. The higher the number, the brighter the color component. For example, if you want the background really bright Red, and the text black you might use 255,0,0,0,0,0. The best way is to experiment with different numbers! Have fun! RegScrubXP reads the color.txt file when it starts up, so the color change will take effect each time you run RegScrubXP.

Tips

  • You can select a Registry entry by pressing the space bar. By using the space bar and down arrow keys, you can quickly select many entries.

  • Because of the complexity and dependencies inherent in the Registry, you may have to run RegScrubXP more than once in a row to remove all the broken links and other junk.

  • If a column is not wide enough to view the information, for example the "Full Key" column, press the mouse cursor, on the column header bar, at the horizontal line separating the "Full Key" column from the "Main Key" column, and move the column to the right, widening the space.

  • Save your backup files some place else before deleting them from RegScrubXP.

  • If you uninstall RegScrubXP, the backup files and Exclusions.txt file will remain, undeleted. Save these for a future install of RegScrubXP and just copy them into the directory where you re-installed RegScrubXP.

  • You can maximize the RegScrubXP window by clicking on the maximize button in the upper right hand corner.

Other Registry Cleaners
There are, of course, several other programs that clean the Registry. Microsoft has one called RegClean that cleans only areas related to Microsoft products. It does find a few problems that RegScrubXP does not. But RegScrubXP is much more thorough and finds many more problems that RegClean misses, and RegScrubXP is very fast! It is the preferred registry cleaner for many people.
Contact Information
If you want to contact me to offer improvements to RegScrubXP, or to report problems, contact me at:
E-mail: LexunFreeware@carolina.rr.com
 Web site: http://home.carolina.rr.com/lexunfreeware

Donations Welcomed!
See web site for details.

Other Lexun Freeware
DrvClonerXP: Copies/restores byte-for-byte drive partitions directly to other partitions without creating an intermediate image file.
DrvImagerXP: Copies/restores byte-for-byte drive partitions to image files that can be archived.

Copyright © 2002 Lexun Freeware. All rights reserved.